--Select Objects Without Material, 2010-05-11
--------------------------------
--  Christopher Grant @ HMC Architects, 2010
--  Web: http://www.scriptspot.com
--  Email: chris@scriptspot.com
--  Tested with 3ds Max 2010 & 2011
--
--Description: 
-- Select objects with a material. Works well when using a linked workflow between Max & Revit and new objects come in w/o a material. 
--
-- Usage:
-- Select objects and run script and it'll only select those w/o a material... Alternatively, don't select anything and it'll look through the entire scene and select objects without a material
--
--License
--  This script is provided free for personal or commercial use. Use of this free script is at your own risk.
--
--SUPPORT SCRIPTSPOT!
--  Please continue to visit www.scriptspot.com often, bookmark the RSS feeds and participate by commenting, voting and uploading your content
--

macroScript cg_SelectObjWithoutMaterial Category:"CG_Tools" toolTip:"Select Objs Without Material" buttontext:"Select Objs w/o Material"
(
	if selection.count == 0 then 
		objs = for o in geometry where o.material==undefined collect o
	else
		objs = for o in selection where superclassof o == geometryclass AND o.material==undefined collect o
	select objs
)